kumquat-buildroot/target/device/Atmel/atstk1002/target_skeleton/etc/init.d/S03bootsplash

27 lines
525 B
Plaintext
Raw Normal View History

2007-07-29 09:15:35 +02:00
#!/bin/sh
FBV=/usr/bin/fbv
FBSET=/usr/sbin/fbset
FBMODEFILE="/etc/fb.modes"
SPLASHFILE="/etc/stk1000bootsplash.jpg"
echo -n "Bootsplash image:"
if [ ! -x "${FBV}" -o ! -x "${FBSET}" -o \
! -f "${SPLASHFILE}" -o ! -f "${FBMODEFILE}" ]; then
echo " missing"
exit 1
fi
if ! ${FBSET} 320x240-68 > /dev/null 2> /dev/null; then
echo " failed"
exit 1
fi
${FBV} ${SPLASHFILE} < /dev/null > /dev/null 2> /dev/null &
if [ $? -eq 0 ]; then
echo " loaded"
kill `pidof ${FBV}` > /dev/null 2> /dev/null
else
echo " failed"
fi